- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac::FrameOutputManager Class Reference

List of all members.

## Public Member Functions
| FrameOutputManager (std::ostream *out_data, const int num_bands=13)
| Constructor.
| ~FrameOutputManager ()
| Destructor.
void | SetNumBands (const int num_bands)
| Set the number of bands there will be in a component.
UnitOutputManager & | BandOutput (const int csort, const int band_num)
| Get an output manager for a subband.
const UnitOutputManager & | BandOutput (const int csort, const int band_num) const
| Get an output manager for a subband.
UnitOutputManager & | MVOutput ()
| Get an output manager for MV data.
const UnitOutputManager & | MVOutput () const
| Get an output manager for MV data.
BasicOutputManager & | HeaderOutput ()
| Get an output manager for the frame header.
const size_t | ComponentBytes (const int comp_num) const
| Return the number of bytes used for each component.
const size_t | ComponentHeadBytes (const int comp_num) const
| Return the number of header bytes used for each component.
const size_t | MVBytes () const
| Return the number of motion vector bytes used.
const size_t | MVHeadBytes () const
| Return the number of motion vector header bytes used.
const size_t | FrameBytes () const
| Return the number of bytes used for the whole frame.
const size_t | FrameHeadBytes () const
| Return the number of header bytes used throughout the frame.
## Friends
class | SequenceOutputManager

## Detailed Description

Definition at line 259 of file bit_manager.h.

## Member Function Documentation

const UnitOutputManager & FrameOutputManager::BandOutput | ( | const int | csort,
|  | const int | band_num
| ) | const

  | Get an output manager for a subband. Get an output manager for a subband. Parameters:
  | csort | the component (Y, U or V)
  | band_num | the number of the subband
Definition at line 236 of file bit_manager.cpp. References dirac::TwoDArray< T >::LengthX().

UnitOutputManager & FrameOutputManager::BandOutput | ( | const int | csort,
|  | const int | band_num
| ) |

  | Get an output manager for a subband. Get an output manager for a subband. Parameters:
  | csort | the component (Y, U or V)
  | band_num | the number of the subband
Definition at line 231 of file bit_manager.cpp. Referenced by dirac::CompCompressor::Compress().

const UnitOutputManager& dirac::FrameOutputManager::MVOutput | ( |  | ) | const`[inline]`

| Get an output manager for MV data. Get an output manager for MV data Definition at line 306 of file bit_manager.h.

UnitOutputManager& dirac::FrameOutputManager::MVOutput | ( |  | ) | `[inline]`

| Get an output manager for MV data. Get an output manager for MV data Definition at line 300 of file bit_manager.h. Referenced by dirac::FrameCompressor::Compress().

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/bit_manager.h
- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_common/bit_manager.cpp